跳到主要内容

Search users by extended filter

GET /api/2.0/people/simple/filter

Returns a list of users matching the parameters specified in the request.

Request body​

employeeStatus​

type: integer[]

User status ("Active", "Terminated", "LeaveOfAbsence", "All", or "Default")

groupId​

type: string[]

Group ID

activationStatus​

type: integer[]

Activation status ("NotActivated", "Activated", "Pending", or "AutoGenerated")

employeeType​

type: integer[]

User type ("All", "User", or "Visitor")

isAdministrator​

type: boolean[]

Specifies if the user is an administrator or not

Request example​

{
"employeeStatus": [
0
],
"groupId": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"activationStatus": [
0
],
"employeeType": [
0
],
"isAdministrator": [
true
]
}

Returns​

List of users. A request that is not authenticated returns 401.

Response example​

[
{
"Id": "00000000-0000-0000-0000-000000000000",
"DisplayName": "Mike Zanyatski",
"Title": "Manager",
"AvatarSmall": "url to small avatar",
"ProfileUrl": "/Products/People/Profile.aspx?user=administrator"
}
]